<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>{% block headtitle %}{% endblock %}{{ msg('app-title') }}</title>
    {{ encore_entry_link_tags('app') }}
</head>
<body>
    <header class="mb-4">
        <nav class="navbar navbar-expand-md navbar-light bg-light shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ path('home') }}">{{ msg('app-title') }}</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarCollapse">
                     <ul class="navbar-nav me-auto">
                        {% if logged_in_user() %}
                            <li class="nav-item navbar-text">{{ msg( 'toolforge-logged-in-as', [ logged_in_user().username ] ) }}</li>
                            <li class="nav-item"><a class="nav-link" href="{{ path('toolforge_logout') }}">{{ msg('toolforge-logout') }}</a></li>
                        {% else %}
                            <li class="nav-item"><a class="nav-link" href="{{ path('toolforge_login') }}">{{ msg('toolforge-login') }}</a></li>
                        {% endif %}
                    </ul>
                    <form method="get" action="{{ path('search') }}" class="d-flex"> 
                        <div class="input-group">
                            <input type="search" class="form-control" name="keywords" value="{{ app.request.get('keywords') }}">
                            <button class="btn btn-outline-primary" type="submit">{{ msg('search') }}</button>
                        </div>
                    </form>
                </div>
            </div>
        </nav>
    </header>
    <main class="{% if full_width is defined and full_width %}container-fluid{% else %}container{% endif %}">
        {% block main %}
        {% endblock %}
    </main>
    <footer class="container my-5 text-end">
        <ul class="list-inline">
            <li class="list-inline-item"><a class="text-muted" href="https://docs.toolforge.org/docs/toolforge-docs">{{ msg('documentation') }}</a></li>
            <li class="list-inline-item"><a class="text-muted" href="https://phabricator.wikimedia.org/tag/tool-docs">{{ msg('issue-tracker') }}</a></li>
            <li class="list-inline-item">
                <a class="text-muted" href="https://gitlab.wikimedia.org/repos/commtech/toolforge-docs">{{ msg('source-code') }}</a>
            </li>
            <li class="list-inline-item">
                <a class="text-muted" href="https://www.gnu.org/licenses/gpl-3.0-standalone.html" title="{{msg('gpl-tooltip')}}">{{ msg('gpl-link') }}</a>
            </li>
        </ul>
    </footer>
    {{ encore_entry_script_tags('app') }}
</body>
